<!--
<?php
if($webdb[wx_type]==1){//微信认证服务号自定义分享内容
require_once(ROOT_PATH."inc/weixin.jsdk.php");
$jssdk = new JSSDK($webdb[wxpay_AppID], $webdb[wxpay_AppSecret]);
$signPackage = $jssdk->GetSignPackage();
$rsdb[share_picurl] || $rsdb[share_picurl]=$rsdb[picurl];
$rsdb[share_title] || $rsdb[share_title]=$rsdb[title];
$rsdb[share_about] || $rsdb[share_about]=$rsdb[title];
print <<<EOT
-->
<script src="http://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
<script type="text/javascript">
  wx.config({
    debug: false,
    appId: '{$signPackage["appId"]}',
    timestamp: {$signPackage["timestamp"]},
    nonceStr: '{$signPackage["nonceStr"]}',
    signature: '{$signPackage["signature"]}',
    jsApiList: [
        'checkJsApi',
		'onMenuShareTimeline',
        'onMenuShareAppMessage',  
		'showMenuItems',
      ]
  });

</script>
<script type="text/javascript">
function ShareTimeline(){
    wx.onMenuShareTimeline({
      title: '$rsdb[share_title]',
      link: '$WEBURL',
      imgUrl: '$rsdb[share_picurl]',
      trigger: function (res) {
        // 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
        //alert('分享到朋友圈后，每进来一位新用户，你都将获得{$webdb[CommendRegHongBao]}元红包的奖励，你若取消关注公众号，将不派发！');
      },
      success: function (res) {
        //alert('分享成功，请注意查收红包！');
		//window.location.reload();
		//window.location.href='wapbencandy.php?WXID=$WXID&fid=$fid&id=$id&job=have_shareFriend';
      },
      cancel: function (res) {
       // alert('系统监测到你没有真正分享到朋友圈，请重新分享！');
      },
      fail: function (res) {
        alert(JSON.stringify(res));
      }
    });
	//wx.showOptionMenu();
	
    //alert('请点击左上角的菜单，然后分享到朋友圈去即可');
}

function ShareAppMessage(){
	wx.onMenuShareAppMessage({
      title: '$rsdb[share_title]',
      desc: '$rsdb[share_about]',
      link: '$WEBURL',
      imgUrl: '$rsdb[share_picurl]',
      trigger: function (res) {
        // 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
        //alert('你搞错了，应该分享到朋友圈去！');
      },
      success: function (res) {
        //alert('你并没有分享到朋友圈，请重新分享到朋友圈！');
		//window.location.href='wapbencandy.php?WXID=$WXID&fid=$fid&id=$id&job=have_shareFriend';
      },
      cancel: function (res) {
        //alert('你已取消操作，请重新分享到朋友圈！');
      },
      fail: function (res) {
        alert(JSON.stringify(res));
      }
    });
    //alert('请点击左上角的菜单，发送给朋友');
}

wx.ready(function () {
	//wx.showOptionMenu();
	ShareTimeline();
	ShareAppMessage();
});

wx.error(function (res) {
  //alert(res.errMsg);
});

</script>

<!--
EOT;
}
?>
-->